
package de.ivu.elect.presentation.dokumente.table;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.dokumente.entity.DokumentVorlage;
import de.ivu.elect.jee.presentation.dynamictable.AbstractColumnBuilder;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(DokumentVorlageLeerformularColumnBuilder.COMPONENT_NAME)
public class DokumentVorlageLeerformularColumnBuilder extends AbstractColumnBuilder<DokumentVorlage> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dokumentVorlageLeerformularColumnBuilder";

  private AbstractDokumentVorlageColumn<DokumentVorlage> dokumentVorlageNameColumn;

  private AbstractDokumentVorlageColumn<DokumentVorlage> dokumentVorlageBeschreibungColumn;

  private DokumentVorlageDateinameColumn<DokumentVorlage> dokumentVorlageDateinameColumn;

  public DokumentVorlageLeerformularColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    dokumentVorlageNameColumn = AbstractDokumentVorlageColumn.createDokumentVorlageNameColumn(getMessages());
    dokumentVorlageBeschreibungColumn = AbstractDokumentVorlageColumn.createDokumentVorlageBeschreibungColumn(getMessages());
    dokumentVorlageDateinameColumn = new DokumentVorlageDateinameColumn<>(getMessages());
  }

  @Override
  protected List<ColumnEntry<? super DokumentVorlage>> getColumnEntriesSorted() {
    List<ColumnEntry<? super DokumentVorlage>> result = new ArrayList<>();
    result.add(dokumentVorlageNameColumn);
    result.add(dokumentVorlageBeschreibungColumn);
    result.add(dokumentVorlageDateinameColumn);
    return result;
  }
}
